<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <title>Login </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <script src="https://code.jquery.com/jquery-3.4.1.min.js"
            integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
            crossorigin="anonymous"></script>
</head>
<body>

<h1>Admin Panel for users</h1>

<nav class="navbar navbar-light bg-white">
    <a href="#" class="navbar-brand"></a>
    <form class="form-inline">
        <div class="input-group">
            <a href="/admin"><span class="fa fa-users"></span>Admin panel</a>
        </div>
        </div>
    </form>
</nav>
<div class="container">
    <div class="jumbotron text-center">
        <h1>Welcome Master </h1>
    </div>
    <hr>
    <table class="table table-bordered table-striped">
        <thead class="thead-dark">
        <tr>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Username</th>
            <th>Email</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="user:${users}">
            <td th:text="${user.getFirstName()}"/>
            <td th:text="${user.getLastName()}"/>
            <td th:text="${user.getUserName()}"/>
            <td th:text="${user.getEmail()}"/>
            <td>
                <a class="askForDisable" th:if="${user.getEnabled()==1}" th:href="@{'/admin/user/'+${user.getUserName()}}" th:method="GET">
                    Disable
                </a>
                <a class="askForEnable" th:unless="${user.getEnabled()==1}" th:href="@{'/admin/user/enable/'+${user.getUserName()}}" th:method="GET">
                    Enable
                </a>
            </td>
        </tr>
        </tbody>
    </table>
</div>
<script>
    $('a.askForDisable').click( function(e) {
        var txt;
        var r = confirm("To disable this user \nPress OK.\nTo cancel the operation Press Cancel");
        if (r == true) {
            txt = "You pressed OK!";
            e.click();
        } else {
            txt = "You pressed Cancel!";
            e.preventDefault();
        }
        return r;
    } );
    $('a.askForEnable').click( function(e) {
        var txt;
        var r = confirm("To enable this user \nPress OK.\nTo cancel the operation Press Cancel");
        if (r == true) {
            txt = "You pressed OK!";
            e.click();
        } else {
            txt = "You pressed Cancel!";
            e.preventDefault();
        }
        return r;
    } );
</script>
</body>
</html>